from flask import Flask, url_for, render_template, config
# 注册蓝图步骤 1
from blueprints.users import users_bp
from blueprints.news import news_bp
from blueprints.cms import cms_bp

app = Flask(__name__)
# 注册蓝图步骤 2
app.register_blueprint(users_bp)
app.register_blueprint(news_bp)
app.register_blueprint(cms_bp)

app.config['SERVER_NAME']="momo.com:5000"


@app.route('/')
def hello_world():
    # url_for反转蓝图注意事项 场景1  构建/news/newslist/
    # print(url_for('news.news_list'))    # url_for('蓝图名称.视图函数名')
    return render_template('index.html')


# 子域名实现
# @app.route('/zym/')
# def ziyuming():
#     return render_template('index.html')


if __name__ == '__main__':
    app.run()
